/*--------------------------------------------------------------
## Extra small devices (portrait phones, less than 576px)
--------------------------------------------------------------*/
@media (max-width: 575.98px) {
    #header-top .row {
        align-items: center;
    }
    #header-top .fwt-2 {
        padding-left: 0;
    }
    #header-top .fwt-2 ul li {
        margin-right: 10px;
        font-size: 0;
    }
    #header-top img {
        width: 2rem;
        margin: 0;
    }
    #home-mobile .tabs-container .vc_tta-panels-container {
        border: 0;
        padding: 0;
        border-radius: 0;
    }
    #home-mobile .row-border {
        padding: 0.5rem;
    }
    .woocommerce div.product div.summary form.cart .button {
        padding: 12px 5px;
    }
    .woocommerce div.product div.images .flex-control-thumbs li {
        width: 22.6%;
        margin: 10px 5px !important;
    }
    #yith-quick-view-content div.summary {
        padding: 0;
    }
    #colophon {
        margin-bottom: 3.8rem;
    }
    .woocommerce div.product .woocommerce-tabs ul.tabs li {
        margin-bottom: 10px;
    }
}

/*--------------------------------------------------------------
## Small devices (landscape phones, 576px and up)
--------------------------------------------------------------*/
@media (min-width: 576px) and (max-width: 767.98px) {
    .container {
        max-width: 576px;
    }
    #footer-info p,
    #footer-info p span {
        font-size: 10px !important;
        text-align: center;
    }
    #footer-info img {
        width: 25px;
        margin: 3px auto 0 0px;
    }
    #footer-info .fi-6 img {margin: 3px auto 0 auto;}
    .woocommerce div.product .product_title {
        font-size: 1.5rem;
    }
    .related h2.title-related {
        font-size: 1.5rem;
    }
}
@media (max-width: 767.98px) {
    #header-top .row {
        justify-content: space-between;
    }
    #masthead .btn-menu p {
        font-size: 0;
    }
    #masthead .btn-menu img {
        margin-bottom: 0;
    }
    .woocommerce ul.products li.outofstock .btn-details {
        font-size: 14px !important;
    }
    .woocommerce ul.products li.product #img-content-product:hover #info-content {
        opacity: 0;
    }

}

@media (max-width: 991.98px) {
    .custom-logo {
        height: 40px;
        object-fit: contain;
        width: auto;
    }
    #header-mobile #masthead {
        padding: 14px 1rem !important;
    }
    #header-mobile #masthead .button-mobile {
        display: flex;
        width: 112px;
    }
    #header-mobile #masthead .site-branding {
        margin-right: 0;
    }
    #header-mobile #masthead .menu-login {
        display: inline-block;
        padding-left: 3rem;
    }
    #header-mobile #masthead .menu-login img {
        width: 30px;
        margin-bottom: 0px;
    }
    #header-search {
        background: var(--theme-color-2);
        padding: 14px 1.2rem;
    }
    #header-search .probox {
        border: 0px !important;
        border-radius: 10px !important;
        background-color: white !important;
    }
    #header-search .probox .promagnifier {
        background: var(--theme-color-1) !important;
    }
    #header-search .probox .proinput {
        margin: 0 0 0 0px;
    }
    #header-slider-menu ul.product-categories {
        padding: 0;
    }
    #header-slider-menu ul.product-categories li h3 {
        font-weight: 500;
    }
    #header-categories {
        border-bottom: 1px solid #cacaca;
        padding: 5px 0;
    }
    .wp-dark-mode-switcher.floating {
        position: absolute;
        top: 13px;
        right: 3.1rem !important;
        bottom: auto;
    }
    .wp-dark-mode-switcher.floating label {
        background: transparent;
        margin: 0;
    }
    .wp-dark-mode-switcher.floating img {
        filter: invert(1);
        width: 30px;
    }
    #masthead .btn-menu {
        border: 0;
        outline: 0;
        background: transparent;
        padding: 0 !important;
    }
    #footer-button-fixed p,
    #footer-button-fixed p img {
        margin-bottom: 0 !important;
        border: 0 !important;
        font-size: 0 !important;
        padding: 0 !important;
    }
    #footer-button-fixed .col {
        border-right: 1px solid #fff;
    }
    #footer-button-fixed .app-dark {
        background: #000;
    }
    #footer-button-fixed .col4 {
        border-right: 0;
    }
    #footer-button-fixed p img {
        width: 35px;
        height: 35px;
        margin: 14px 0 !important;
        object-fit: contain;
    }
    .xoo-wsc-basket {
        background: #000;
        padding: 10px;
        margin: 0;
        right: 10px;
        bottom: 2px;
        box-shadow: 0 0 black;
    }
    .xoo-wsc-items-count {
        left: 0px;
        top: -10px;
    }
    .woocommerce div.product div.summary {
        position: unset;
    }
    .woocommerce div.product div.summary .prev_next_buttons {
        position: fixed;
        top: 40vh;
        right: 0;
        left: 0;
        display: flex;
        justify-content: space-between;
        z-index: 99;
        background: transparent !important;
    }
    .woocommerce div.product div.summary .prev_next_buttons a {
        background: rgb(204 204 204 / 0.50);
        color: white;
        padding: 1rem 8px;
        font-family: monospace;
        font-weight: bold;
        font-size: 1.2rem;
    }
    .woocommerce div.product div.summary .prev_next_buttons a[rel=next] {
        border-radius: 0px 10px 10px 0px;
    }
    .woocommerce div.product div.summary .prev_next_buttons a[rel=prev] {
        border-radius: 10px 0px 0px 10px;
    }
    .wp-dark-mode-active #content div.product div.summary .prev_next_buttons a[rel=prev],
    .wp-dark-mode-active #content div.product div.summary .prev_next_buttons a[rel=next] {
        background: black !important;
        border: 1px solid #676767 !important;
    }
}
@media (max-width: 1199px) {
    #page .container {
        max-width: 100%;
    }
}

@media (min-width: 768px) {
     .woocommerce .products ul, .woocommerce ul.products {
        display: flex;
        flex-flow: wrap;
    }
    .woocommerce ul.products li.product:hover,
    .woocommerce-page ul.products li.product:hover {
        -webkit-box-shadow: 0px 0px 10px 0px rgba(204,204,204,1);
        -moz-box-shadow: 0px 0px 10px 0px rgba(204,204,204,1);
        box-shadow: 0px 0px 10px 0px rgba(204,204,204,1);
    }
}

/*--------------------------------------------------------------
## Medium devices (tablets, 768px and up)
--------------------------------------------------------------*/
@media (min-width: 768px) and (max-width: 991.98px) {
    .container {
        max-width: 768px;
    }
    #footer-info p {
        text-align: center;
    }
    #footer-info img {
        float: none;
        display: block;
        margin: auto;
    }
    #footer-widgets .fw-2 {
        border-left: 1px solid #ffffff1f;
    }
    #footer-widgets .fw-3 {
        border-right: 1px solid #ffffff1f;
    }
    .woocommerce #content div.product div.images, .woocommerce div.product div.images, 
    .woocommerce-page #content div.product div.images, .woocommerce-page div.product div.images {
        float: none;
        width: 100%;
    }
    .woocommerce #content div.product div.summary, .woocommerce div.product div.summary, .woocommerce-page #content div.product div.summary, .woocommerce-page div.product div.summary {
        float: none;
        width: 100%;
        clear: none;
    }
}

/*--------------------------------------------------------------
## Large devices (desktops, 992px and up)
--------------------------------------------------------------*/
@media (min-width: 992px) and (max-width: 1199.98px) {
    .container {
        max-width: 912px;
    }
    #footer-info p {
        text-align: center;
    }
    #footer-info img {
        float: none;
        display: block;
        margin: auto;
    }
    #footer-widgets .fw-2 {
        border-left: 1px solid #ffffff1f;
        border-right: 1px solid #ffffff1f;
    }
    #footer-widgets .fw-3 {
        border-right: 1px solid #ffffff1f;
    }
    .woocommerce #content div.product div.images, .woocommerce div.product div.images, 
    .woocommerce-page #content div.product div.images, .woocommerce-page div.product div.images {
        float: none;
        width: 100%;
    }
    .woocommerce #content div.product div.summary, .woocommerce div.product div.summary, .woocommerce-page #content div.product div.summary, .woocommerce-page div.product div.summary {
        float: none;
        width: 100%;
        clear: none;
    }
    #slider-cat-wc .owl-carousel .owl-nav button.owl-next,
    #blog-slider .owl-carousel .owl-nav button.owl-next {
        right: -10px;
    }
    #slider-cat-wc .owl-carousel .owl-nav button.owl-prev,
    #blog-slider .owl-carousel .owl-nav button.owl-prev {
        left: -10px;
    }
}
/*--------------------------------------------------------------
## Extra large devices (large desktops, 1200px and up)
--------------------------------------------------------------*/
@media (min-width: 1200px) and (max-width: 1499px) {
    .container {
        max-width: 1190px;
    }
    #footer-widgets .fw-2 {
        border-left: 1px solid #ffffff1f;
        border-right: 1px solid #ffffff1f;
    }
    #footer-widgets .fw-3 {
        border-right: 1px solid #ffffff1f;
    }
}

/*--------------------------------------------------------------
## Woocommerce Responsive 6 Columns 
--------------------------------------------------------------*/
@media (min-width: 576px) and (max-width: 767.98px) {
    .woocommerce.columns-6 ul.products li.product .wc-buttons .add_to_cart_button:before {
        content: none;
    }
    .woocommerce.columns-6 ul.products li.product, 
    .woocommerce-page.columns-6 ul.products li.product {
        float: left;
        margin: 0 2% 2.992em 0;
        padding: 0;
        position: relative;
        width: 32%;
        margin-left: 0;
    }
    .woocommerce.columns-6 ul.products li.first, 
    .woocommerce-page.columns-6 ul.products li.first {
        clear: none;
    }
    .woocommerce.columns-6 ul.products li.product:nth-child(3n), 
    .woocommerce-page.columns-6 ul.products li.product:nth-child(3n) {
        margin-right: 0;
    }
    .woocommerce.columns-6 ul.products li.product:nth-child(3n+1), 
    .woocommerce-page.columns-6 ul.products li.product:nth-child(3n+1) {
        clear: both;
    }
    .woocommerce.columns-6 ul.products li.last, 
    .woocommerce-page.columns-6 ul.products li.last {
        margin-right: auto !important;
    }
}

@media (min-width: 768px) and (max-width: 991.98px) {
    .woocommerce-page.columns-6 ul.products li.product, 
    .woocommerce.columns-6 ul.products li.product {
        margin: 0 2% 2.992em 0;
        width: 32%;
    }
    .woocommerce.columns-6 ul.products li.product:nth-child(3n), 
    .woocommerce-page.columns-6 ul.products li.product:nth-child(3n) {
        margin-right: 0;
    }
    .woocommerce.columns-6 ul.products li.last, 
    .woocommerce-page.columns-6 ul.products li.last {
        margin-right: auto !important;
    }
}

@media (min-width: 992px) and (max-width: 1199.98px) {
    .woocommerce.columns-6 ul.products li.product:nth-child(4n), 
    .woocommerce-page.columns-6 ul.products li.product:nth-child(4n) {
        margin-right: 0;
        margin: 0 3.8% 2.992em 0;
    }
    .woocommerce.columns-6 ul.products li.product:nth-child(3n), 
    .woocommerce-page.columns-6 ul.products li.product:nth-child(3n) {
        margin-right: 0;
    }
    .woocommerce.columns-6 ul.products li.product:nth-child(3n+1), 
    .woocommerce-page.columns-6 ul.products li.product:nth-child(3n+1) {
        clear: none;
    }
    .woocommerce-page.columns-6 ul.products li.product, 
    .woocommerce.columns-6 ul.products li.product {
        width: 30.8%;
    }
    .woocommerce.columns-6 ul.products li.last, 
    .woocommerce-page.columns-6 ul.products li.last {
        margin-right: auto !important;
    }
}

@media (min-width: 1200px) and (max-width: 1499px) {
    .woocommerce.columns-6 ul.products li.product, 
    .woocommerce-page.columns-6 ul.products li.product {
        margin: 0 3.8% 2.992em 0;
        width: 22.05%;
    }
    .woocommerce.columns-6 ul.products li.product:nth-child(4n), 
    .woocommerce-page.columns-6 ul.products li.product:nth-child(4n) {
        margin-right: 0;
    }
    .woocommerce.columns-6 ul.products li.first, 
    .woocommerce-page.columns-6 ul.products li.first {
        clear: none;
    }
    .woocommerce.columns-6 ul.products li.last, 
    .woocommerce-page.columns-6 ul.products li.last {
        margin-right: auto !important;
    }
}

/*--------------------------------------------------------------
## Woocommerce Responsive 5 Columns 
--------------------------------------------------------------*/
@media (min-width: 576px) and (max-width: 767.98px) {
    .woocommerce.columns-5 ul.products li.product .wc-buttons .add_to_cart_button:before {
        content: none;
    }
    .woocommerce.columns-5 ul.products li.product, 
    .woocommerce-page.columns-5 ul.products li.product {
        float: left;
        margin: 0 2% 2.992em 0;
        padding: 0;
        position: relative;
        width: 32%;
        margin-left: 0;
    }
    .woocommerce.columns-5 ul.products li.first, 
    .woocommerce-page.columns-5 ul.products li.first {
        clear: none;
    }
    .woocommerce.columns-5 ul.products li.product:nth-child(3n), 
    .woocommerce-page.columns-5 ul.products li.product:nth-child(3n) {
        margin-right: 0;
    }
    .woocommerce.columns-5 ul.products li.product:nth-child(3n+1), 
    .woocommerce-page.columns-5 ul.products li.product:nth-child(3n+1) {
        clear: both;
    }
    .woocommerce.columns-5 ul.products li.last, 
    .woocommerce-page.columns-5 ul.products li.last {
        margin-right: auto !important;
    }
}

@media (min-width: 768px) and (max-width: 991.98px) {
    .woocommerce-page.columns-5 ul.products li.product, 
    .woocommerce.columns-5 ul.products li.product {
        margin: 0 2% 2.992em 0;
        width: 32%;
    }
    .woocommerce.columns-5 ul.products li.product:nth-child(3n), 
    .woocommerce-page.columns-5 ul.products li.product:nth-child(3n) {
        margin-right: 0;
    }
    .woocommerce.columns-5 ul.products li.last, 
    .woocommerce-page.columns-5 ul.products li.last {
        margin-right: auto !important;
    }
}

@media (min-width: 992px) and (max-width: 1199.98px) {
    .woocommerce.columns-5 ul.products li.product:nth-child(3n), 
    .woocommerce-page.columns-5 ul.products li.product:nth-child(3n) {
        margin-right: 0;
    }
    .woocommerce.columns-5 ul.products li.product:nth-child(4n), 
    .woocommerce-page.columns-5 ul.products li.product:nth-child(4n) {
        margin-right: 0;
        margin: 0 3.8% 2.992em 0;
    }
    .woocommerce.columns-5 ul.products li.product:nth-child(5n), 
    .woocommerce-page.columns-5 ul.products li.product:nth-child(5n) {
        margin: 0 3.8% 2.992em 0;
    }
    .woocommerce.columns-5 ul.products li.product:nth-child(3n+1), 
    .woocommerce-page.columns-5 ul.products li.product:nth-child(3n+1) {
        clear: none;
    }
    .woocommerce-page.columns-5 ul.products li.product, 
    .woocommerce.columns-5 ul.products li.product {
        width: 30.8%;
    }
    .woocommerce.columns-5 ul.products li.last, 
    .woocommerce-page.columns-5 ul.products li.last {
        margin-right: auto !important;
    }
}

@media (min-width: 1200px) and (max-width: 1499px) {
    .woocommerce.columns-5 ul.products li.product, 
    .woocommerce-page.columns-5 ul.products li.product {
        margin: 0 3.8% 2.992em 0;
        width: 22.05%;
    }
    .woocommerce.columns-5 ul.products li.product:nth-child(4n), 
    .woocommerce-page.columns-5 ul.products li.product:nth-child(4n) {
        margin-right: 0;
    }
    .woocommerce.columns-5 ul.products li.first, 
    .woocommerce-page.columns-5 ul.products li.first {
        clear: none;
    }
    .woocommerce.columns-5 ul.products li.last, 
    .woocommerce-page.columns-5 ul.products li.last {
        margin-right: auto !important;
    }
}
@media (min-width: 1500px) {
    .woocommerce.columns-5 ul.products li.product, 
    .woocommerce-page.columns-5 ul.products li.product {
        margin: 0 2.5% 2.992em 0;
        width: 18%;
    }
    .woocommerce.columns-5 ul.products li.last, 
    .woocommerce-page.columns-5 ul.products li.last {
        margin-right: 0;
    }
}
/*--------------------------------------------------------------
## Woocommerce Responsive 4 Columns
--------------------------------------------------------------*/
@media (min-width: 576px) and (max-width: 767.98px) {
    .woocommerce ul.products.columns-4 li.product,
    .woocommerce.columns-4 ul.products li.product, 
    .woocommerce-page.columns-4 ul.products li.product {
        float: left;
        margin: 0 2% 2.992em 0;
        padding: 0;
        position: relative;
        width: 32%;
        margin-left: 0;
    }
    .woocommerce ul.products.columns-4 li.product.first, 
    .woocommerce.columns-4 ul.products li.first, 
    .woocommerce-page.columns-4 ul.products li.first {
        clear: none;
    }
    .woocommerce ul.products.columns-4 li.product:nth-child(3n), 
    .woocommerce.columns-4 ul.products li.product:nth-child(3n), 
    .woocommerce-page.columns-4 ul.products li.product:nth-child(3n) {
        margin-right: 0;
    }
    .woocommerce ul.products.columns-4 li.product:nth-child(3n+1), 
    .woocommerce.columns-4 ul.products li.product:nth-child(3n+1), 
    .woocommerce-page.columns-4 ul.products li.product:nth-child(3n+1) {
        clear: both;
    }
    .woocommerce ul.products.columns-4 li.last, 
    .woocommerce-page ul.products.columns-4 li.last {
        margin-right: auto !important;
    }
}

@media (min-width: 768px) and (max-width: 991.98px) {
    .woocommerce ul.products.columns-4 li.product, 
    .woocommerce.columns-4 ul.products li.product, 
    .woocommerce-page.columns-4 ul.products li.product {
        float: left;
        margin: 0 2% 2.992em 0;
        padding: 0;
        position: relative;
        width: 32%;
        margin-left: 0;
    }
    .woocommerce ul.products.columns-4 li.product.first, 
    .woocommerce.columns-4 ul.products li.first, 
    .woocommerce-page.columns-4 ul.products li.first {
        clear: none;
    }
    .woocommerce ul.products.columns-4 li.product:nth-child(3n), 
    .woocommerce.columns-4 ul.products li.product:nth-child(3n), 
    .woocommerce-page.columns-4 ul.products li.product:nth-child(3n) {
        margin-right: 0;
    }
    .woocommerce ul.products.columns-4 li.product:nth-child(3n+1), 
    .woocommerce.columns-4 ul.products li.product:nth-child(3n+1), 
    .woocommerce-page.columns-4 ul.products li.product:nth-child(3n+1) {
        clear: both;
    }
    .woocommerce ul.products.columns-4 li.last, 
    .woocommerce-page ul.products.columns-4 li.last {
        margin-right: auto !important;
    }
}

@media (min-width: 992px) and (max-width: 1199.98px) {
    .woocommerce ul.products.columns-4 li.product, 
    .woocommerce.columns-4 ul.products li.product, 
    .woocommerce-page.columns-4 ul.products li.product {
        float: left;
        margin: 0 3.8% 2.992em 0;
        padding: 0;
        position: relative;
        width: 30.8%;
        margin-left: 0;
    }
    .woocommerce ul.products.columns-4 li.product.first, 
    .woocommerce.columns-4 ul.products li.first, 
    .woocommerce-page.columns-4 ul.products li.first {
        clear: none;
    }
    .woocommerce ul.products.columns-4 li.product:nth-child(3n), 
    .woocommerce.columns-4 ul.products li.product:nth-child(3n), 
    .woocommerce-page.columns-4 ul.products li.product:nth-child(3n) {
        margin-right: 0;
    }
    .woocommerce ul.products.columns-4 li.product:nth-child(3n+1), 
    .woocommerce.columns-4 ul.products li.product:nth-child(3n+1), 
    .woocommerce-page.columns-4 ul.products li.product:nth-child(3n+1) {
        clear: both;
    }
    .woocommerce ul.products.columns-4 li.last, 
    .woocommerce-page ul.products.columns-4 li.last {
        margin-right: auto !important;
    }
}
/* Single Products Columns 4*/
@media (min-width: 1200px) {
    .single-product ul.products li.product {
        margin: 0 2.6% 2.992em 0;
        width: 23%;
    }
    .single-product ul.products li.last {
        margin-right: 0;
    }
}

